//Marc Beyer//
package com.vpr.server.controller;

import com.vpr.server.repository.EventRepository;
import com.vpr.server.repository.UserEventRepository;
import com.vpr.server.repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.server.ResponseStatusException;

@Controller // This means that this class is a Controller
@RequestMapping(path = "/vpr") // This means URL's start with /demo (after Application path)
public class MainController {

    @GetMapping(path = "/status-test")
    public String statusTest(){
        throw new ResponseStatusException(HttpStatus.I_AM_A_TEAPOT, "TestTestTest");
    }

    @PostMapping(path = "/header-test")
    public ResponseEntity<String> headerTest(@RequestHeader("Authorization") String authorizationHeader){
        System.out.println("authorizationHeader: " + authorizationHeader);
        return new ResponseEntity<>(authorizationHeader, HttpStatus.OK);
    }
}